# $Revision: 1.56 $, $Date: 2012/03/09 11:59:42 $
%define pkgname RMagick
Summary:	Graphics Processing library for Ruby
Summary(pl.UTF-8):	Biblioteka przetwarzania grafiki dla Ruby
Name:		ruby-%{pkgname}
Version:	2.13.1
Release:	5
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://rubyforge.org/frs/download.php/70067/%{pkgname}-%{version}.tar.bz2
# Source0-md5:	fa419869d5533884e4556c8b8b390adb
Patch0:		%{name}-IM.patch
URL:		http://rmagick.rubyforge.org/
BuildRequires:	ImageMagick-coder-dot
BuildRequires:	ImageMagick-coder-fpx
BuildRequires:	ImageMagick-coder-jbig
BuildRequires:	ImageMagick-coder-jpeg
BuildRequires:	ImageMagick-coder-jpeg2
BuildRequires:	ImageMagick-coder-miff
BuildRequires:	ImageMagick-coder-mpr
BuildRequires:	ImageMagick-coder-pdf
BuildRequires:	ImageMagick-coder-png
BuildRequires:	ImageMagick-coder-ps2
BuildRequires:	ImageMagick-coder-svg
BuildRequires:	ImageMagick-coder-tiff
BuildRequires:	ImageMagick-coder-url
BuildRequires:	ImageMagick-coder-wmf
BuildRequires:	ImageMagick-devel >= 1:6.7.0.7-2
BuildRequires:	rpmbuild(macros) >= 1.484
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
BuildConflicts:	ruby-RMagick < 1.7.2
%{?ruby_mod_ver_requires_eq}
%requires_eq_to	ImageMagick-libs ImageMagick-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An interface to the ImageMagick and GraphicsMagick image processing
libraries. Supports more than 80 image formats, including GIF, JPEG,
PNG. Includes 2D drawing API. Comprehensive HTML documentation.

%description -l pl.UTF-8
Jest to interfejs do bibliotek przetwarzania grafiki ImageMagick i
GraphicsMagick. Wspiera ponad 80 formatów graficznych, włączając w to
GIF, JPEG, PNG. Zawiera API dla dwuwymiarowego rysowania. Obszerna
dokumentacja w HTML-u.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
# this thingy tries to install html doc somewhere
# but we package it as %%doc
%{__rm} post-install.rb

%build
ruby setup.rb config \
	--siterubyver=%{ruby_rubylibdir} \
	--sodir=%{ruby_archdir}

ruby setup.rb setup

rdoc --ri --op ri ext/RMagick lib
rdoc --op rdoc ext/RMagick lib
%{__rm} ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_rubylibdir},%{ruby_ridir},%{ruby_rdocdir},%{_examplesdir}/%{name}}

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc ChangeLog README.html
%{ruby_rubylibdir}/RMagick*
%{ruby_rubylibdir}/rvg*
%attr(755,root,root) %{ruby_archdir}/*.so
%{_examplesdir}/%{name}

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Magick

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-RMagick.spec,v $
Revision 1.56  2012/03/09 11:59:42  baggins
- release 5

Revision 1.55  2012/02/12 23:56:40  adamg
- release 4 (rebuild against ImageMagick-6.7.5.3)

Revision 1.54  2011/11/24 07:24:28  arekm
- release 3

Revision 1.53  2011/09/09 17:59:11  arekm
- release 2

Revision 1.52  2011/06/24 08:56:02  baggins
- use rm macro

Revision 1.51  2011/06/24 08:54:49  baggins
- rel 1
- require ImageMagick with configs readable by all

Revision 1.50  2011/06/24 06:57:01  baggins
- 2.13.1

Revision 1.49  2011/04/28 11:22:22  baggins
- release 12

Revision 1.48  2011/02/07 13:35:01  lisu
- rel 11 (new ImageMagick)

Revision 1.47  2010/12/28 08:37:30  lisu
- release 10

Revision 1.46  2010/12/09 07:51:42  lisu
- rel 9 (new ImageMagick)

Revision 1.45  2010/06/30 07:20:42  amateja
- release 8

Revision 1.44  2010/04/09 08:39:48  amateja
- release 7

Revision 1.43  2010/03/26 07:39:19  amateja
- release 6

Revision 1.42  2010/03/24 08:47:06  amateja
- release 5

Revision 1.41  2010/03/15 09:48:31  amateja
- release 4

Revision 1.40  2010/03/09 18:46:49  amateja
- release 3

Revision 1.39  2010/03/03 14:00:11  baggins
- rel 2
- require exact ImageMagick-libs

Revision 1.38  2010/03/03 13:27:48  baggins
- 2.13.0
- added rdoc and ri packages

Revision 1.37  2007/03/31 16:47:03  aredridel
- 1.15.5

Revision 1.36  2007/03/08 06:40:05  aredridel
- massive attack: correct ri output path for ruby 1.8.6

Revision 1.35  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.34  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.33  2007/01/16 21:40:29  glen
- fix duplicate %descriptions

Revision 1.32  2007/01/07 06:09:38  aredridel
- remove 6.2.9 patch
- require later 6.2.9

Revision 1.31  2006/12/25 23:34:59  aredridel
- 1.14.1

Revision 1.30  2006/09/25 01:00:17  aredridel
- build with system setup.rb

Revision 1.29  2006/09/25 00:54:07  aredridel
- 1.13.0

Revision 1.28  2006/06/04 19:30:12  aredridel
- 1.12.0

Revision 1.27  2006/05/21 02:30:19  aredridel
- 1.11.0

Revision 1.26  2006/04/05 14:02:56  hawk
- release 4 (rebuild with new ImageMagick)

Revision 1.25  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.24  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.23  2005/12/27 09:43:55  twittner
- (B)R: s/ruby/ruby-modules/, rel. 3 (mass commit through script)

Revision 1.22  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.21  2005/10/03 18:09:59  arekm
- BR new imagemagick

Revision 1.20  2005/10/03 00:38:43  aredridel
- complete BR
- STBR

Revision 1.19  2005/09/20 05:02:39  aredridel
- up to 1.9.2

Revision 1.18  2005/09/11 17:25:51  aredridel
- up to 1.9.1

Revision 1.17  2005/07/16 05:49:35  aredridel
- up to 1.9.0

Revision 1.16  2005/05/11 19:41:02  aredridel
- corrected setup.rb parameters for new version of setup.rb

Revision 1.15  2005/04/06 18:23:05  aredridel
- up to 1.7.4

Revision 1.14  2005/03/21 08:30:24  aredridel
- up to 1.7.3

Revision 1.13  2005/02/24 08:17:20  aredridel
- up to 1.7.2

Revision 1.12  2004/12/18 18:47:37  aredridel
- fixed source URL

Revision 1.11  2004/12/18 15:05:41  aredridel
- up to 1.7.0

Revision 1.10  2004/12/10 03:52:17  ankry
- BR: ImageMagick-devel

Revision 1.9  2004/11/17 07:52:29  aredridel
- remove removed docs

Revision 1.8  2004/11/17 07:16:21  aredridel
- up to 1.6.1

Revision 1.7  2004/10/31 17:23:11  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/10/10 19:31:39  paladine
- added missing BR: autoconf

Revision 1.5  2004/08/22 00:40:10  ankry
- one more fix

Revision 1.4  2004/08/22 00:13:49  twittner
- fixed two typos in pl %description (nobody's perfect ;)

Revision 1.3  2004/08/21 23:20:55  ankry
- pl

Revision 1.2  2004/08/21 23:18:14  domelu
- adapterized, some cosmetics, tabs..

Revision 1.1  2004/08/21 23:02:28  aredridel
- added
- STBR
